CCOSH(3)

NAME
ccosh, ccoshf, csinh, csinhf ctanh, ctanhf - complex hyperbolic functions

LIBRARY
libm

SYNOPSIS
#include <complex.h>
double complex
ccosh(double complex z);
float complex
ccoshf(float complex z);
double complex
csinh(double complex z);
float complex
csinhf(float complex z);
double complex
ctanh(double complex z);
float complex
ctanhf(float complex z);

DESCRIPTION
The ccosh(), csinh(), and ctanh() functions compute the hyperbolic cosine, sine, and tangent of the complex number z, respectively. The ccoshf(), csinhf(), and ctanhf() functions perform the same operations in float precision.

SEE ALSO
cacosh(3), ccos(3), complex(3), cosh(3), math(3), sinh(3), tanh(3)

STANDARDS
These functions conform to isoC-99.